Subject: Re: bug#15414: 24.3; piping problems in eshell

From: Glenn Morris <[email-masked]>
Date: Wed, 18 Sep 2013 22:59:14 -0400

Joseph Mingrone wrote:

> 1. emacs -Q
> 2. M-x eshell
> 3. cat a_file | wc -l
>
> The output of 3. will be wrong for most files longer than something like
> 40 lines and it will often give different results each time 3. is run.

FWIW, I did not see this in 100 repetitions on a 100 line file, on
either of two systems. I got the correct answer every time.

I did notice that

  cat does-not-exist | wc -l 

returns 1 though.